"""
This module provides user friendly wrapper functions of the Spinguin's core 
functionality by making use of the `SpinSystem` class.
"""

# Expose only the necessary functions from the API
from spinguin.api.core import (
    alpha_state,
    beta_state,
    associate,
    dissociate,
    equilibrium_state,
    frequency_to_chemical_shift,
    hamiltonian,
    inversion_recovery,
    liouvillian,
    measure,
    operator,
    permute_spins,
    propagator,
    propagator_to_rotframe,
    pulse,
    pulse_and_acquire,
    relaxation,
    resonance_frequency,
    singlet_state,
    spectral_width_to_dwell_time,
    spectrum,
    state,
    state_to_zeeman,
    superoperator,
    time_axis,
    triplet_minus_state,
    triplet_plus_state,
    triplet_zero_state,
    unit_state
)

from spinguin.api.parameters import parameters

from spinguin.api.spin_system import SpinSystem